%define upstream_name    Class-Accessor-Class
%define upstream_version 0.504

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simple class variable accessors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor) >= 0.160.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Class::Accessor::Class provides a simple way to create accessor and mutator
methods for class variables, just as Class::Accessor provides for objects.
It can use either an enclosed lexical variable, or a package variable.

This module was once implemented in terms of Class::Accessor, but changes
to that module broke this relationship. Class::Accessor::Class is still a
subclass of Class::Accessor, strictly for historical reasons. As a side
benefit, a class that isa Class::Accessor::Class is also a Class::Accessor
and can use its methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.504.0-2.mga9
+ Revision: 1814632
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 0.504.0-1.mga9
+ Revision: 1731843
- update to 0.504

* Wed Feb 12 2020 umeabot <umeabot> 0.503.0-5.mga8
+ Revision: 1493517
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.503.0-4.mga7
+ Revision: 1266187
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.503.0-3.mga6
+ Revision: 1023842
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.503.0-2.mga6
+ Revision: 935168
- Mageia 6 Mass Rebuild

* Thu Oct 16 2014 shlomif <shlomif> 0.503.0-1.mga5
+ Revision: 762210
- imported package perl-Class-Accessor-Class


* Thu Oct 16 2014 cpan2dist 0.503-1mga
- initial mageia release, generated with cpan2dist
